/* Copyright (C) 1996-2001 Robert Hhne, see COPYING.RH for details */
/* This file is part of RHIDE. */
#define Uses_TMemoryStream
#include <libtvuti.h>

#include <strstream.h>

class _S:public strstreambuf
{
public:
  _S():strstreambuf()
  {
  }
  _S(const void *b, int len):strstreambuf((const char *) b, len)
  {
  }
  void *Buffer()
  {
#if 0
    return base();
#else
    return eback();
#endif
  }
};

TMemoryStream::TMemoryStream():
iopstream(new _S())
{
}

TMemoryStream::TMemoryStream(const void *b, int len):
iopstream(new _S(b, len))
{
}

unsigned long
TMemoryStream::getSize()
{
  return ((_S *) bp)->pcount();
}

void *
TMemoryStream::getBuffer()
{
  return ((_S *) bp)->Buffer();
}


